<?php
/**
 * Creative One Page: Block Patterns
 *
 * @package  Creative One Page
 * @since   1.0.0
 */

/**
 * Register Block Pattern Category.
 */
if ( function_exists( 'register_block_pattern_category' ) ) {

	register_block_pattern_category(
		'creative-one-page',
		array( 'label' => __( ' Creative One Page', 'creative-one-page' ) )
	);
}

/**
 * Register Block Patterns.
 */
if ( function_exists( 'register_block_pattern' ) ) {
	register_block_pattern(
		'creative-one-page/banner-section',
		array(
			'title'      => __( 'Banner Section', 'creative-one-page' ),
			'categories' => array( 'creative-one-page' ),
			'content'    => "<!-- wp:cover {\"url\":\"" . esc_url(get_template_directory_uri()) . "/theme-block-pattern/images/banner.png\",\"id\":9,\"dimRatio\":50,\"overlayColor\":\"white\",\"isDark\":false,\"align\":\"full\",\"className\":\"banner-section\"} -->\n<div class=\"wp-block-cover alignfull is-light banner-section\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-white-background-color has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-9\" alt=\"\" src=\"" . esc_url(get_template_directory_uri()) . "/theme-block-pattern/images/banner.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"66.66%\",\"className\":\"banner-section-content mx-lg-5 px-md-5\"} -->\n<div class=\"wp-block-column banner-section-content mx-lg-5 px-md-5\" style=\"flex-basis:66.66%\"><!-- wp:heading {\"level\":1,\"style\":{\"typography\":{\"fontSize\":\"50px\"},\"color\":{\"text\":\"#3d4963\"}}} -->\n<h1 class=\"has-text-color\" style=\"color:#3d4963;font-size:50px\">LOREM EPSUM IS SIMPLY</h1>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#9399a5\"},\"typography\":{\"fontSize\":\"18px\"}},\"className\":\"py-3\"} -->\n<p class=\"py-3 has-text-color\" style=\"color:#9399a5;font-size:18px\"><strong>Lorem Ipsum</strong>&nbsp;is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"style\":{\"typography\":{\"fontSize\":\"16px\"},\"border\":{\"radius\":\"30px\"},\"color\":{\"background\":\"#90c908\"}},\"className\":\"banner-section-btn\"} -->\n<div class=\"wp-block-button has-custom-font-size banner-section-btn\" style=\"font-size:16px\"><a class=\"wp-block-button__link has-background\" style=\"border-radius:30px;background-color:#90c908\"><strong>Read More</strong></a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->",
		)
	);

	register_block_pattern(
		'creative-one-page/feature-section',
		array(
			'title'      => __( 'feature-section', 'creative-one-page' ),
			'categories' => array( 'creative-one-page' ),
			'content'    => "<!-- wp:columns {\"className\":\"feature-section position-relative\"} -->\n<div class=\"wp-block-columns feature-section position-relative\"><!-- wp:column {\"backgroundColor\":\"white\",\"className\":\"feature-box\"} -->\n<div class=\"wp-block-column feature-box has-white-background-color has-background\"><!-- wp:image {\"align\":\"center\",\"id\":19,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image aligncenter size-full\"><img src=\"" . esc_url(get_template_directory_uri()) . "/theme-block-pattern/images/Icon1.png\" alt=\"\" class=\"wp-image-19\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"color\":{\"text\":\"#3d4963\"}},\"fontSize\":\"medium\"} -->\n<h3 class=\"has-text-align-center has-text-color has-medium-font-size\" style=\"color:#3d4963\">Our Features Title 1</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"15px\"},\"color\":{\"text\":\"#9399a5\"}}} -->\n<p class=\"has-text-align-center has-text-color\" style=\"color:#9399a5;font-size:15px\">Lorem Ipsum</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"backgroundColor\":\"white\",\"className\":\"feature-box\"} -->\n<div class=\"wp-block-column feature-box has-white-background-color has-background\"><!-- wp:image {\"align\":\"center\",\"id\":20,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image aligncenter size-full\"><img src=\"" . esc_url(get_template_directory_uri()) . "/theme-block-pattern/images/Icon2.png\" alt=\"\" class=\"wp-image-20\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"color\":{\"text\":\"#3d4963\"}},\"fontSize\":\"medium\"} -->\n<h3 class=\"has-text-align-center has-text-color has-medium-font-size\" style=\"color:#3d4963\">Our Features Title 1</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"15px\"},\"color\":{\"text\":\"#9399a5\"}}} -->\n<p class=\"has-text-align-center has-text-color\" style=\"color:#9399a5;font-size:15px\">Lorem Ipsum</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"backgroundColor\":\"white\",\"className\":\"feature-box\"} -->\n<div class=\"wp-block-column feature-box has-white-background-color has-background\"><!-- wp:image {\"align\":\"center\",\"id\":21,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image aligncenter size-full\"><img src=\"" . esc_url(get_template_directory_uri()) . "/theme-block-pattern/images/Icon3.png\" alt=\"\" class=\"wp-image-21\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"color\":{\"text\":\"#3d4963\"}},\"fontSize\":\"medium\"} -->\n<h3 class=\"has-text-align-center has-text-color has-medium-font-size\" style=\"color:#3d4963\">Our Features Title 1</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"15px\"},\"color\":{\"text\":\"#9399a5\"}}} -->\n<p class=\"has-text-align-center has-text-color\" style=\"color:#9399a5;font-size:15px\">Lorem Ipsum</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->",
		)
	);

    register_block_pattern(
		'creative-one-page/service-section',
		array(
			'title'      => __( 'service-section', 'creative-one-page' ),
			'categories' => array( 'creative-one-page' ),
			'content'    => "<!-- wp:group {\"className\":\"service-section\"} -->\n<div class=\"wp-block-group service-section\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"32px\"},\"color\":{\"text\":\"#3d4963\"}},\"className\":\"position-relative mb-4\"} -->\n<h3 class=\"has-text-align-center position-relative mb-4 has-text-color\" style=\"color:#3d4963;font-size:32px\">OUR WORKS</h3>\n<!-- /wp:heading -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"className\":\"project-box position-relative\"} -->\n<div class=\"wp-block-column project-box position-relative\"><!-- wp:image {\"id\":24,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"mb-0\"} -->\n<figure class=\"wp-block-image size-full mb-0\"><img src=\"" . esc_url(get_template_directory_uri()) . "/theme-block-pattern/images/Our-Work1.png\" alt=\"\" class=\"wp-image-24\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"style\":{\"color\":{\"background\":\"#90c908\"}},\"className\":\"project-box-content p-0 px-3\"} -->\n<div class=\"wp-block-group project-box-content p-0 px-3 has-background\" style=\"background-color:#90c908\"><!-- wp:heading {\"level\":4,\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}},\"textColor\":\"white\",\"fontSize\":\"medium\"} -->\n<h4 class=\"has-white-color has-text-color has-medium-font-size\" style=\"font-style:normal;font-weight:700\">PROJECT TITLE 1</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"textColor\":\"white\"} -->\n<p class=\"has-white-color has-text-color\">Branding</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"project-box position-relative\"} -->\n<div class=\"wp-block-column project-box position-relative\"><!-- wp:image {\"id\":25,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"mb-0\"} -->\n<figure class=\"wp-block-image size-full mb-0\"><img src=\"" . esc_url(get_template_directory_uri()) . "/theme-block-pattern/images/Our-Work2.png\" alt=\"\" class=\"wp-image-25\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"style\":{\"color\":{\"background\":\"#90c908\"}},\"className\":\"project-box-content p-0 px-3\"} -->\n<div class=\"wp-block-group project-box-content p-0 px-3 has-background\" style=\"background-color:#90c908\"><!-- wp:heading {\"level\":4,\"textColor\":\"white\",\"fontSize\":\"medium\"} -->\n<h4 class=\"has-white-color has-text-color has-medium-font-size\">PROJECT TITLE 2</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"textColor\":\"white\"} -->\n<p class=\"has-white-color has-text-color\">Mobile App</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"project-box position-relative\"} -->\n<div class=\"wp-block-column project-box position-relative\"><!-- wp:image {\"id\":26,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"mb-0\"} -->\n<figure class=\"wp-block-image size-full mb-0\"><img src=\"" . esc_url(get_template_directory_uri()) . "/theme-block-pattern/images/Our-Work3.png\" alt=\"\" class=\"wp-image-26\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"style\":{\"color\":{\"background\":\"#90c908\"}},\"className\":\"project-box-content p-0 px-3\"} -->\n<div class=\"wp-block-group project-box-content p-0 px-3 has-background\" style=\"background-color:#90c908\"><!-- wp:heading {\"level\":4,\"textColor\":\"white\",\"fontSize\":\"medium\"} -->\n<h4 class=\"has-white-color has-text-color has-medium-font-size\">PROJECT TITLE 3</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"textColor\":\"white\"} -->\n<p class=\"has-white-color has-text-color\">Web Design</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->",
		)
	);
}